# TdApi.Video (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: Video

Package it.tdlight.jni

# Class TdApi.Video

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Video

Enclosing class:
  TdApi

    public static class TdApi.Video
    extends TdApi.Object

Describes a video file.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `duration` | Duration of the video, in seconds; as defined by the sender.
`String` | `fileName` | Original name of the file; as defined by the sender.
`boolean` | `hasStickers` | True, if stickers were added to the video.
`int` | `height` | Video height; as defined by the sender.
`String` | `mimeType` | MIME type of the file; as defined by the sender.
`TdApi.Minithumbnail` | `minithumbnail` | Video minithumbnail; may be null.
`boolean` | `supportsStreaming` | True, if the video is supposed to be streamed.
`TdApi.Thumbnail` | `thumbnail` | Video thumbnail in JPEG or MPEG4 format; as defined by the sender; may be null.
`TdApi.File` | `video` | File containing the video.
`int` | `width` | Video width; as defined by the sender.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Video()` | Describes a video file.
`Video​(int duration, int width, int height, String fileName, String mimeType, boolean hasStickers, boolean supportsStreaming, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.File video)` | Describes a video file.
`Video​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### duration

public int duration
Duration of the video, in seconds; as defined by the sender.

### width

public int width
Video width; as defined by the sender.

### height

public int height
Video height; as defined by the sender.

### fileName

public String fileName
Original name of the file; as defined by the sender.

### mimeType

public String mimeType
MIME type of the file; as defined by the sender.

### hasStickers

public boolean hasStickers
True, if stickers were added to the video. The list of corresponding sticker sets can be received using getAttachedStickerSets.

### supportsStreaming

public boolean supportsStreaming
True, if the video is supposed to be streamed.

### minithumbnail

public TdApi.Minithumbnail minithumbnail
Video minithumbnail; may be null.

### thumbnail

public TdApi.Thumbnail thumbnail
Video thumbnail in JPEG or MPEG4 format; as defined by the sender; may be null.

### video

public TdApi.File video
File containing the video.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### Video

public Video()
Describes a video file.

### Video

public Video​(int duration, int width, int height, String fileName, String mimeType, boolean hasStickers, boolean supportsStreaming, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.File video)
Describes a video file.

Parameters:
  `duration` - int Duration of the video, in seconds; as defined by the sender.
  `width` - int Video width; as defined by the sender.
  `height` - int Video height; as defined by the sender.
  `fileName` - String Original name of the file; as defined by the sender.
  `mimeType` - String MIME type of the file; as defined by the sender.
  `hasStickers` - boolean True, if stickers were added to the video. The list of corresponding sticker sets can be received using getAttachedStickerSets.
  `supportsStreaming` - boolean True, if the video is supposed to be streamed.
  `minithumbnail` - Minithumbnail Video minithumbnail; may be null.
  `thumbnail` - Thumbnail Video thumbnail in JPEG or MPEG4 format; as defined by the sender; may be null.
  `video` - File File containing the video.

### Video

public Video​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`